# sdet-cli

## Install

```
npm install -g @nullcc/sdet-cli@2
```

## Usages

### Mark Impact

Get help information:

```shell script
$ sdet-cli mark-impact -h
```

```bash
Usage: sdet-cli mark-impact [options]

mark impacted code blocks

Options:
  -d, --diff <diff>            Diff file, will use stdin if be ignored
  -w, --workspace <workspace>  Workspace of project source code, default by current directory
  -e, --dotenv-file <env>      .env file to specify LSP server binaries. Keys: [TYPESCRIPT_LSP_SERVER_BIN, JAVA_LSP_SERVER_BIN, KOTLIN_LSP_SERVER_BIN, CLANG_LSP_SERVER_BIN, SWIFT_LSP_SERVER_BIN,
                               CSHARP_LSP_SERVER_BIN]
  -h, --help                   display help for command
```

Sample usage:

```shell script
$ sdet-cli mark-impact -d sample.diff -w . -e ./.env
```

or input git diff via stdin:

```shell script
$ git diff | sdet-cli mark-impact -w . -e ./.env
```

## Development

```shell script
$ npm install
$ npm run tools:init
```

## More Information

[wiki](https://wiki.ringcentral.com/display/SDET/Integration+Guide+For+SDET-CLI)
